import React, { FC } from 'react';
import { ResourceJSON } from '../../../interfaces/index.js';
/**
 * @alias SidebarResourceSectionProps
 * @memberof SidebarResourceSection
 */
export type SidebarResourceSectionProps = {
    /** List of the resources which should be rendered */
    resources: Array<ResourceJSON>;
};
/**
 * Groups resources by sections and renders the list in {@link Sidebar}
 *
 * ### Usage
 *
 * ```
 * import { SidebarResourceSection } from 'adminjs`
 * ```
 *
 * @component
 * @subcategory Application
 * @name SidebarResourceSection
 */
declare const SidebarResourceSectionOriginal: FC<SidebarResourceSectionProps>;
declare const SidebarResourceSection: React.ComponentType<SidebarResourceSectionProps & {
    OriginalComponent?: React.ComponentType<SidebarResourceSectionProps> | undefined;
}>;
export { SidebarResourceSection, SidebarResourceSectionOriginal as OriginalSidebarResourceSection };
export default SidebarResourceSection;
